## kodi 17.6%2Bdfsg1

=== xbmc/commons/CMakeLists.txt ===
set(SOURCES Exception.cpp
            ilog.cpp)

set(HEADERS Buffer.h
            Exception.h
            ilog.h)

core_add_library(commons)
