=== xbmc/view/CMakeLists.txt ===
set(SOURCES GUIViewControl.cpp
            GUIViewState.cpp
            ViewDatabase.cpp
            ViewStateSettings.cpp)

set(HEADERS GUIViewControl.h
            GUIViewState.h
            ViewDatabase.h
            ViewState.h
            ViewStateSettings.h)

core_add_library(view)
