=== xbmc/filesystem/MusicDatabaseDirectory/Makefile ===
SRCS=DirectoryNode.cpp \
     DirectoryNodeAlbum.cpp \
     DirectoryNodeAlbumCompilations.cpp \
     DirectoryNodeAlbumCompilationsSongs.cpp \
     DirectoryNodeAlbumRecentlyAdded.cpp \
     DirectoryNodeAlbumRecentlyAddedSong.cpp \
     DirectoryNodeAlbumRecentlyPlayed.cpp \
     DirectoryNodeAlbumRecentlyPlayedSong.cpp \
     DirectoryNodeAlbumTop100.cpp \
     DirectoryNodeAlbumTop100Song.cpp \
     DirectoryNodeArtist.cpp \
     DirectoryNodeGrouped.cpp \
     DirectoryNodeOverview.cpp \
     DirectoryNodeRoot.cpp \
     DirectoryNodeSingles.cpp \
     DirectoryNodeSong.cpp \
     DirectoryNodeSongTop100.cpp \
     DirectoryNodeTop100.cpp \
     DirectoryNodeYearAlbum.cpp \
     DirectoryNodeYearSong.cpp \
     QueryParams.cpp \

LIB=musicdatabasedirectory.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
