=== debian/changelog ===
kodi (2:17.6+dfsg1-4) unstable; urgency=medium

  * debian/tests/gui: Print xvfb-run error to stdout
  * debian/tests/gui: Fix test by starting 24bit screen and waiting for
    kodi's start
  * Drop transitional packages
  * Fix FTBFS when _G_va_list is not defined, like on Ubuntu 19.04

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Nov 2018 12:21:00 +0100

kodi (2:17.6+dfsg1-3) unstable; urgency=medium

  [ Balint Reczey ]
  * debian/NEWS: Fix language to keep lintian happy
  * Add simple autopkgtest

  [ Gianfranco Costamagna ]
  * Upstream fixes for new ffmpeg:
    debian/patches/19f28e88a5dfed82e9844f69210f7c045f18ca8e.patch
    debian/patches/c7e2acc1b2ee781af6e14d80da0edd0aa23bdf03.patch
    (Closes: #888383, #912994)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 16 Nov 2018 01:42:36 +0100

kodi (2:17.6+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Rechi ]
  * Drop build dependencies on libboost-*
    Boost isn't required since v17.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Balint Reczey ]
  * Ship only Kodi desktop session without the xbmc.desktop duplicate link
  * Stop build-depending on versioned GCC, this workaround is not needed
    anymore (Closes: #892399)
    Thanks to Adrian Bunk who also proposed a patch and a delayed NMU.
  * Stop shipping kodi.service
    Please use a lightweight display manager set up to autologin instead.
  * Add d/source.lintian-overrides to d/source/lintian-overrides
    to keep lintian happy

  [ Rolf Leggewie ]
  * demote hard font dependencies from Depends to Recommends (LP: #1685918)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 28 Apr 2018 20:50:46 +0200

kodi (2:17.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 17.6 (with accumulated changes from 17.4 and 17.5):
    - https://kodi.tv/article/kodi-v174-final-just-bunch-fixes
    - https://kodi.tv/article/kodi-v175-final-another-bunch-fixes
    - https://kodi.tv/article/kodi-v176-final-very-last
  * Refresh patches
  * Depend and build-depend on python-pil instead of python-imaging
    (Closes: #866437)
  * Apply workaround for scratchy sound with FFmpeg 3.4.
    Thanks to James Cowgill for triaging and Stefan Hachmann for the patch
    (Closes: #881536)
  * Fix starting kodi on arm64 (Closes: #876876)
  * Change URLs to use HTTPS in README.Debian and drop feed URL from
    description (Closes: #860484)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 Dec 2017 01:06:49 +0100

kodi (2:17.3+dfsg1-5) unstable; urgency=medium

  * Build-depend on fontforge-nox (not fontforge.
  * Use rsvg-convert to generate branding logo.
    Build-depend on (not inkscape).
  * Fix remove repository feed from kodi-data.
    Tighten kodi-repository-kodi breaks+replaces on kodi-data.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Oct 2017 02:37:25 +0200

kodi (2:17.3+dfsg1-4) unstable; urgency=medium

  * Update package relations:
    + Fix have kodi-repository-kodi conflict against and replace older
      kodi/kodi-data/xbmc.
      Fixes bug#877960. Thanks to Andreas Beckmann.
    + Fix have kodi-repository-kodi conflict against (not break) virtual
      kodi-repository.
    + Fix have package kodi-repository-kodi depend on ${misc:Depends}.
    + Stop build-depend on dh-autoreconf autotools-dev: Handled by
      debhelper.
  * Rewrite copyright info, with major coverage improvements.
  * Add maintainer script copyright-check to source.
  * Update git-buildpackage config:
    + Add usage comment.
    + Filter any .git* file.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Override lintian regarding obsolete-url-in-packaging: License grant
    must be included verbatim.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Oct 2017 22:46:23 +0200
